Accounts APIAliases
Get alias order status
GET
BearerAuthheader
AuthorizationBearer <JWT>id*stringUnique identifier of the alias order
Format
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1Alias order details retrieved successfully
application/json- response
Alias order status and details.
id?stringUnique identifier of the alias order
Format
uuidaccountId?stringUnique identifier of the account the aliases are assigned to
Format
uuidstatus?AliasOrderStatusEnumCurrent status of the alias order
Value in
"PROCESSING""COMPLETED""FAILED"requested?integerTotal number of aliases requested
completed?integerNumber of aliases successfully created so far
createdAt?stringTimestamp when the order was created
Format
date-timecompletedAt?|Timestamp when the order reached a terminal state
Format
date-time_links?curl -X GET 'https://accounts.sandbox.volt.io/orders/account-aliases/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'X-Volt-Api-Version: 1'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "status": "PROCESSING", "requested": 0, "completed": 0, "createdAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "_links": { "self": { "href": "http://example.com", "method": "GET" }, "aliases": { "href": "http://example.com", "method": "GET" } }}